
%ifos aix6.1 || %ifos aix7.1
%global p7build 1
%else
%global p7build 0
%endif

Name:		plzip
Version:	1.7
%if %{p7build}
Release:        1.p7
%else
Release:        1
%endif
Summary:	Parallel LZMA Data Compressor
URL:		http://www.nongnu.org/lzip/plzip.html
Group:		Productivity/Archiving/Compression
License:	GNU General Public License version 3 (GPL v3)
Source0:	http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	coreutils, make
BuildRequires:	lzlib-devel >= 1.7-1
Requires:	lzlib >= 1.7-1
Requires:	/sbin/install-info, info

%if %{p7build}
%ifos aix6.1
Requires: AIX-rpm >= 6.1.8.0
%endif
%ifos aix7.1
Requires: AIX-rpm >= 7.1.3.0
%endif
%endif

%description
Plzip is a parallel version of the lzip data compressor. The files
produced by plzip are fully compatible with lzip-1.4 or newer. Plzip
is intended for faster compression/decompression of big files on
multiprocessor machines.

Lzip is a lossless data compressor based on the LZMA algorithm, with
very safe integrity checking and a user interface similar to the one
of gzip or bzip2. Lzip decompresses almost as fast as gzip and
compresses better than bzip2, which makes it well suited for software
distribution and data archiving.


%prep
%setup -q
%if %{p7build}
%else
%patch0
%endif


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    CC="${CC}" \
    CFLAGS="${CFLAGS}" \
    CXX="${CXX}" \
    CXXFLAGS="${CXXFLAGS}"

gmake


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
gmake DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_infodir}/plzip.info*
%{_mandir}/man1/plzip.1*
/usr/bin/*


%changelog
* Tue Jun 12 2018 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Thu Jun 01 2017 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Thu Jun 01 2017 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Wed Jun 22 2016 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Thu Apr 02 2015 Michael Perzl <michael@perzl.org> - 1.3-1
- updated to version 1.3

* Thu Dec 11 2014 Michael Perzl <michael@perzl.org> - 1.2-1
- updated to version 1.2

* Mon Sep 30 2013 Michael Perzl <michael@perzl.org> - 1.1-1
- first version for AIX V5.1 and higher
